Summary: Social Bookmarks, scuttle installed in /opt/scuttle
%define name scuttle
Name: %{name}
%define version 0.7.2
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
scuttle.org/wiki
Scuttle is a web-based social bookmarks manager that enables you to:
 *Store all your favourite links in one place, accessible from anywhere.
 *Share your bookmarks with everyone, with friends or just keep them private.
 *Tag your bookmarks with as many labels, instead of wrestling with folders.


%changelog
* Tue Nov 28 2006 Stephen Noble <support@dungog.net>
- initial release
- [0.7.2-1]

%prep
%setup

%build
#touch    root/opt/scuttle/settings.php

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/opt/scuttle/cache' 'attr(777,www,www)' \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

